@import url("fonts/fonts.css");
@import url("theme/default.css");

*{
    font-family:"Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif; 
    margin:0px;
    padding: 0px;
    text-decoration: none;        
    box-sizing: border-box;
    touch-action: manipulation; /* En safar evita el doble zoom*/
}

::-webkit-scrollbar {
  /*-webkit-appearance: none;*/
  /*display: none;   Ocultar scroll */
  width: 2px;
  height: 2px;
  /*background-color: rgba(0, 0, 0, .1);*/
}
::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, .2);
  /*box-shadow: 0 0 1px rgba(255, 255, 255, 0.2);*/
}

::-webkit-scrollbar-track {
    background: transparent;
    /*background: #e1e1e1;*/
    border-radius: 4px;
}

::-webkit-scrollbar-corner{
  background-color: transparent;
}

::-webkit-scrollbar-thumb:active {
    /*background-color: rgba(0, 0, 0, .5);*/
}

::-webkit-scrollbar-track:hover,
::-webkit-scrollbar-track:active {
  background: #d4d4d4;
}

.noScroll{
  overflow-y: unset;
}

.blockScroll{
  overflow-y: unset;
}

#globalLoader{
  position: absolute;
  z-index: 999999;
  background-color: rgba(255,255,255,0.8);
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#globalLoader .gif-loader{
  height: 100px;
  width: 100px;
}

#globalLoader .globalLoaderWrapper{
  text-align: center;
}

#globalLoader .globalLoaderWrapper p{
  color: #126FAE;
  padding-bottom: 5px;
  font-size: 23px;
  font-weight: 400;
}

#globalLoader .globalLoaderWrapper span{
  display: block;
  font-size: 22px;
}

#globalLoader

#PDF-canvas{
  position: relative;
  /*z-index: -10000;  */
  /*width: 590px;*/
}

.table-payment-pending{
  margin: auto;
}

.table-payment-pending tbody > tr > td{
  padding-bottom: 5px;
  color: #606060;
}

.table-payment-pending tbody > tr > td:nth-child(1){
  text-align: right;
  
}

.table-payment-pending tbody > tr:nth-child(1) > td:nth-child(1){
  color: red;
}

.table-payment-pending tbody > tr:nth-child(2) > td:nth-child(1){
  color: #006FBF;
}

.table-payment-pending tbody > tr:nth-child(3) > td:nth-child(1){
  color: #833A13;
}

.table-payment-diferene{
  color: #B57403 !important;
  font-size: 22px !important;
  margin-bottom: 15px !important;
}

.table-payment-diferene span{
  color: #016602 !important;
}

.table-payment-pending tbody > tr > td:nth-child(2){
  text-align: left;
  padding-left: 5px;
  
}

body {
  touch-action: none;
  touch-action: pan-x pan-y;
}

label{
  font-size: 14px;
}

h1{
  font-size: 23px;
  /*margin: 10px 0px;*/
}
h2,h3{
  font-weight: 400;
}

.hidden{
  display: none;
  visibility: hidden;
}


.no-list-style{
  list-style: none;
  padding: 0;
  margin: 0;

}

.error-validator-form{
  color:#FD5F61;
  margin-bottom: 30px;
}

.animation-transform-slow{
  -webkit-transition:transform 0.5s;
 -moz-transition: transform 0.5s;
   -o-transition: transform 0.5s;
  -ms-transition: transform 0.5s;
      transition: transform 0.5s;
}

.animation{
-webkit-transition:0.3s;
 -moz-transition: 0.3s;
   -o-transition: 0.3s;
  -ms-transition: 0.3s;
      transition: 0.3s;
}

.animation-slow{
-webkit-transition:0.5s;
 -moz-transition: 0.5s;
   -o-transition: 0.5s;
  -ms-transition: 0.5s;
      transition: 0.5s;
}

.overlay-black{
  z-index: 0;
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgba(0,0,0,0.65);
}

#pageContent{
  position: absolute;
  height:100%;
  width: 100%;
}

.noselect{
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently*/

}

#background{
    z-index: -1;
    position: fixed;
    height: 100%;
    width: 100%;
    background-size: cover;
}
 

i, .OArpIcon{
  font-family: "OArpIcon";
  font-size: 37px;
  font-style: normal;
  font-weight: 200;
  line-height: 50px;
  color:#8E969F;
}

 /* Button ios Switch */


.btn:focus, .btn-large:focus, .btn-small:focus, .btn-floating:focus {
    background-color: var(--form-strong);
}


.btn, .btn-large, .btn-small { 
  background-color: var(--form-strong)
}

.btn:hover, .btn-large:hover, .btn-small:hover {
    background-color: var(--form-light)
}

.btn, .btn-large, .btn-small, .btn-flat {
    text-transform: none;
}

.btn-transparent, .btn-transparent:hover{
  background-color: transparent;
  color:var(--form-strong);
  box-shadow: none;
}

.btn.gray-blue{
  cursor: pointer;
  background-color: #EDECF4;
  box-shadow: 2px 4px 3px rgba(0, 0, 0, 0.24);
  color: #0C475D;
  font-weight: 700;
  border-radius: 10px;
  padding: 10px;
  align-items: center;
  display: flex;
}

.btn.gray-blue:hover{
  background-color: #FCFAFD;
}

.btn.gray-blue:visited{
  color: #0C475D;
}

.btn.gray-blue i{
  font-size: 70px;
}

.ios-switch {
  display: inline-block;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

.ios-switch i {
  position: relative;
  display: inline-block;
  margin-right: .5rem;
  width: 52px;
  height: 33px;
  background-color: #e6e6e6;
  border-radius: 23px;
  vertical-align: text-bottom;
  transition: all 0.3s linear;
}

.ios-switch i::before {
  content: "";
  position: absolute;
  left: 0;
  width: 48px;
  height: 29px;
  background-color: #fff;
  border-radius: 15px;
  transform: translate3d(2px, 2px, 0) scale3d(1, 1, 1);
  transition: all 0.25s linear;
}

.ios-switch i::after {
  content: "";
  position: absolute;
  left: 0;
  width: 28px;
  height: 28px;
  background-color: #fff;
  border-radius: 13px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.24);
  transform: translate3d(2px, 2px, 0);
  transition: all 0.2s ease-in-out;
}

.ios-switch label{
  color: #000;
  display: inline-block;
  height: 22px;
}

.ios-switch:active i::after {
  width: 28px;
  transform: translate3d(2px, 2px, 0);
}

.ios-switch:active input:checked + i::after { transform: translate3d(16px, 2px, 0); }

.ios-switch input { display: none; }

.ios-switch input:checked + i { background-color: #4BD763; }

.ios-switch input:checked + i::before { transform: translate3d(18px, 2px, 0) scale3d(0, 0, 0); }

.ios-switch input:checked + i::after { transform: translate3d(22px, 2px, 0); }


/*  Termina Swtich*/



/*Panel*/

.panel{
  overflow-y: hidden;
  background-color: rgba(255,255,255,0.8);
  /*margin:15px 20px 0px 20px;*/
  /*padding: 10px 15px 15px 15px;*/
  padding: 0px 0px 15px 0px;
  border-radius: 20px;
  box-shadow: 2px 5px 10px -3px #3A3A3A;  
  position: relative;
  /*overflow-x: scroll;*/
  height: 100%;
  -webkit-overflow-scrolling: touch;

  /*width: 100%;*/
}

body{
  z-index: 0;
  overflow: hidden; /*Evita que se muevan los paneles*/
}


.white-button{
  display: block;
  font-family: "OArpIcon";
  font-size: 58px;
  line-height: 48px;
  background-color: #FFF;
  box-shadow: 0px 0px 8px -2px #3A3A3A;
  width: 50px;
  height: 50px;
  text-align: center;
  border-radius: 25px;
}

.dataField{
    margin-top: 10px;
    margin-bottom: 20px;     
}

.dataField h3{
  font-size: 20px;
  font-weight: 400;
  color: #006185;
  margin-bottom: 10px;
}

.dataField p{
  color:#000;
  margin-bottom: 10px;
  font-size: 20px;
}



hr{
  height: 1px;
  background-color: #CDCDCD;
  border: none;
}

a {
  text-decoration: none;
}

.whatsappButton {
  color: #33A03B;
}

.telButton{
  color: #43A2A7;
}


/*Forms*/



.input-field > label {
  font-size: 17px;
  font-family: "Helvetica";
}

label{
  /*color: var(--form-textinput-strong);*/
}

textarea{
  resize: none;
  padding: 10px;
  border-radius: 8px;
}

select.browser-default {
  margin-top: 5px;
  margin-bottom: 10px;
}

.sweet-alert *{
  box-sizing: initial; 
}

.sweet-alert .passcode{
  margin-top: 15px;
  background-color: #FFF796;
  padding: 20px 10px;
  font-size: 25px;
  color: #FF0000;
}

.sweet-alert{
  border-radius: 20px;
}

.sweet-alert button{
  margin-top:20px !important;
}

.sweet-alert h2 {
  margin-top: 0px;
  margin-bottom: 10px;
}

.sweet-alert .sa-icon {
  margin-top: 0px;
  margin-bottom: 10px;
}

.sweet-alert p {
  font-size: 19px;
  font-weight: 500;
  line-height: 26px;
  color: #848484;
}


.inline{
  display: flex;
  justify-content: center;
  align-items: center;
}

.inline-end{
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.divider-title{

  font-weight: 600;
  padding-top: 50px;
  margin-bottom: 20px;
  font-size: 20px;
  font-style: italic;
  color: #8D5698;  
  width: 100%;
  max-width: 300px;  
  margin-right: auto;
  margin-left: auto;
  position: relative;
  text-align: center;
  /*border-bottom: 1px dotted #8D5698;*/
}

.divider-title-line{
  overflow: hidden;
  padding-top: 30px;
  margin-bottom: 20px;
  font-size: 20px;
  font-style: italic;
  color: #8D5698;  
  font-weight: 600;
  max-width: 90%;  
  position: relative;
  padding-left: 60px;
  /*text-align: center;*/
  /*border-bottom: 1px dotted #8D5698;*/
}
.divider-title-line::before{

  content: "";
  border-bottom: 1px dotted #8D5698;
  /*width: 100%;*/
  height: 10px;
  position: absolute;
  
  
  width: 50px;
  left: 0;
  z-index: 3;
}
 

.panelTabs .messageEmptyPanel{
  display: block;
  color: #0A5863;
  max-width: 300px;
  text-align: center;
  margin: auto;
  position: absolute;
  padding-right: 10px;
  padding-left: 10px;
  font-weight: 200;
  top: 40%;
  font-size: 21px;
  right: 0;
  left: 0;
}

.disableItem{
  color: red;
}

.enableItem{
  color: green;
}


/*General*/

.detailCreateMovement-alert{
  margin: auto;
  max-width: 320px;
}

.detailCreateMovement-alert tr > td{
  padding-bottom: 8px;
  padding-top: 5px;
  vertical-align: top;
}

.detailCreateMovement-alert tr > td:nth-child(1){
  color: #383838;
  text-align: right;
  font-size: 17px;
}

.detailCreateMovement-alert tr > td:nth-child(2){
  text-align: left;
  padding-left: 10px;
 
  color: #006185;
}

.detailCreateMovement-alert .plus{
  color: #00740B !important;
}


.detailCreateMovement-alert .minus{
  color: #990000 !important;
}


.statusStyle[value="0"]{
  color: #9C0000;
}

.statusStyle[value="1"]{
  color:  #007411;
}

.help-oarpp{
  cursor: pointer;
  font-size: 60px;
  margin-left: 10px;
}

.wrap-help > *{
  display: inline-block;
  vertical-align: middle;
}

.wrap-help.bEdit{
  width: calc(100% - 20px) !important;
}

.wrap-help.bEdit .input-field {
  width: auto !important;
}
